ByteChef LogoByteChef
Backend (API Key)Actions

Executes an action of a component and returns the result as the response

Executes an action of a component and returns the result as the response.

POST
/{externalUserId}/components/{componentName}/versions/{componentVersion}/actions/{actionName}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

componentName*string

The component name.

componentVersion*integer

The component version.

actionName*string

The name of the action to call.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"
X-Instance-Id?integer

The integration instance Id that uniquely identifies the connected user's specific integration instance

Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/string/components/string/versions/0/actions/string" \  -H "X-Instance-Id: 1234" \  -H "Content-Type: application/json" \  -d '{    "input": {}  }'
{}

How is this guide?